<!--
title: Sprungmarken
description: Folien für Sprunmarken in Programmieren 1
url: https://git.haw-hamburg.de/pm1-tutorium/slides
header: Programmieren 1 **Tutorium**
footer: Henri Burau und Eva Meinen
-->

# Sprungmarken

## break

```java
int i = 0;
loop:
while(true) {
	i++;
	if(i > 10) {
		break loop;
	}	
	System.out.printf("%d%n", i);
}
```
---

## continue
```java
loop:
for (int i = 0; i < 10; i++) {
  	if (i == 4) {
    	continue loop;
  	}
  	System.out.printf("%d%n", i);
}
```

---

## return
```java
public static void main(String args[]) {
	System.out.printf("Hallo ");
	return;
	System.out.printf("Welt");
}
```
---

## Aufgabe
```java
loop:
for (int i = 0; i < 100; i += 5) {
  	if ((i % 2) == 0) {
    	continue loop;
  	}
  	System.out.printf("%d%n", i);
}
```

---

```java
int i = 0;
loopA:
while(true) {
	i++;	
  	System.out.printf("%d%n", i);
	if(i > 20) {
		break loopA;
	}
}
```

---

```java
int i = 100;
for(int j = 50; j < i; j++) {
		int k = 0;
		loopB: while(true) {
			j++;
			k++;
			if(k == 3) {
				break loopB;
			}
		}
  	System.out.printf("%d%n", j);
}
```
